- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
SignOn::AuthService::IdentityRegExp Class Reference

The class represents a regular expression. More...

`#include <authservice.h>`

## Public Member Functions
| IdentityRegExp (const QString &pattern)
| Constructor creates an IdentityRegExp, as a specified by pattern. More...
| IdentityRegExp (const IdentityRegExp &src)
| Copy constructor, creates a copy of src. More...
bool | isValid () const
| Returns the validity of regular expression. More...
QString | pattern () const
| Returns the pattern of regular expression as string. More...

## Detailed Description

The class represents a regular expression.

It is used for filtering identity querying.

See Also
  queryIdentities()

Note
  This is for internal use only.

Definition at line 92 of file authservice.h.

## Constructor & Destructor Documentation

SignOn::AuthService::IdentityRegExp::IdentityRegExp | ( | const QString & | pattern | ) |

Constructor creates an IdentityRegExp, as a specified by pattern.

Parameters

  pattern | The regular expression as a string

SignOn::AuthService::IdentityRegExp::IdentityRegExp | ( | const IdentityRegExp & | src | ) |

Copy constructor, creates a copy of src.

Parameters

  src | The IdentityRegExp to be copied

## Member Function Documentation

bool SignOn::AuthService::IdentityRegExp::isValid | ( |  | ) | const

Returns the validity of regular expression.

Returns
  Always false, validity check not implemented.

QString SignOn::AuthService::IdentityRegExp::pattern | ( |  | ) | const

Returns the pattern of regular expression as string.

Returns
  The pattern of this regular expression as string.

The documentation for this class was generated from the following file:

- authservice.h